QGIS Application - Bug report #14338

Generated shapefile from custom application is not always displayed in QGIS

2016-02-19 07:07 AM - Jean-Christophe Bastin

Status: Rejected
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 22325

Description

Hello,

| have an issue with Shapefiles opened in QGIS.
| developped an application with a class able to read data from an Oracle database, and convert them in Shapefile.

This class follows the ESRI specifications from here : https://www.esri.com/library/whitepapers/pdfs/shapefile.pdf

You can find in attach 2 samples :

-4480__ S12_060_4 : there is only one polygon, but it is not displayed on the map
-4480__ 327550 : there are 8 polygons in this one, and all of them are well displayed

The strange thing is that the polygon from "4480__ S12_060_4" is common with "4480___327550", but in one case it is not shown, and

in the other case it is shown (see screenshot in attach)...
| have no problem when | open these files with Maplinfo.
| don't have ArcMap to check on this side.

Are you able to check if it is a bug from the Shapefile or from QGIS ?

| spent some hours to check what's wrong, but | have no more ideas right now...

Many thanks.

History

#1 - 2016-02-20 12:38 AM - Saber Razmjooei

- Resolution set to invalid

- Status changed from Open to Rejected

SAGA also can't read your file.

It is an issue with your implementation.

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown

Files

shapefiles.zip
qgis_screenshot.PNG
